=== debian/changelog ===
uxlaunch (0.50-0ubuntu1) maverick; urgency=low

  * initial packaging for maverick

 -- Alexander Sack <asac@linaro.org>  Mon, 21 Jun 2010 14:34:34 +0200
