=== debian/control ===
Source: uxlaunch
Build-Depends: debhelper (>= 7.0.50~),
	libck-connector-dev,
	libdbus-1-dev,
	libglib2.0-dev,
	libpam0g-dev,
	libxau-dev
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander Sack <asac@linaro.org>
Standards-Version: 3.8.4

Package: uxlaunch
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: quickly start X and a user desktop
 Uxlaunch is a generic X session launch utility, designed to
 quickly start X and a user desktop.
