=== debian/rules ===
#!/usr/bin/make -f

export CONF_DIR=/etc/uxlaunch/

%:
	dh $@

override_dh_installinit:
	dh_installinit --no-start
