## uxlaunch 0.60

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,22 @@
-VERSION = 0.50
+VERSION = 0.60
 
 CC := gcc
 
-all: uxlaunch
+all: uxlaunch uxlaunch.1.gz
+
+uxlaunch.1.gz: uxlaunch.1
+	gzip -c uxlaunch.1 > uxlaunch.1.gz
 
 install: uxlaunch
 	mkdir -p $(DESTDIR)/usr/sbin \
 	         $(DESTDIR)/etc/sysconfig/ \
-	         $(DESTDIR)/usr/share/man/man1/
+	         $(DESTDIR)/usr/share/man/man1/ \
+	         $(DESTDIR)/usr/share/uxlaunch
 	install -m0755  uxlaunch $(DESTDIR)/usr/sbin/
 	[ -f $(DESTDIR)/etc/sysconfig/uxlaunch ] || \
 	    install -m0644 uxlaunch.sysconfig $(DESTDIR)/etc/sysconfig/uxlaunch
-	install -m0644 uxlaunch.1 $(DESTDIR)/usr/share/man/man1/uxlaunch.1
+	install -m0644 uxlaunch.1.gz $(DESTDIR)/usr/share/man/man1/uxlaunch.1.gz
+	install -m0644 dmi-dpi $(DESTDIR)/usr/share/uxlaunch/
 
 OBJS := uxlaunch.o consolekit.o dbus.o desktop.o misc.o pam.o user.o xserver.o \
 	lib.o options.o oom_adj.o efs.o
@@ -30,6 +35,7 @@
 
 %.o: %.c uxlaunch.h Makefile
 	@echo "  CC  $<"
+	@[ ! -x /usr/bin/cppcheck ] || /usr/bin/cppcheck -q $<
 	@$(CC) $(CFLAGS) -c -o $@ $<
 
 uxlaunch: $(OBJS) Makefile
@@ -37,7 +43,7 @@
 	@$(CC) -o $@ $(OBJS) $(LDADD) $(LDFLAGS)
 
 clean:
-	rm -rf *.o *~ uxlaunch
+	rm -rf *.o *~ uxlaunch uxlaunch.1.gz
 
 dist:
 	git tag v$(VERSION)
