=== debian/changelog ===
uxlaunch (0.60-1ubuntu1) precise; urgency=low

  * Start uxlaunch on udev-fallback-graphics, not on udevtrigger.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 04 Apr 2012 18:06:02 -0700

uxlaunch (0.60-1) unstable; urgency=low

  * New 0.60 upstream release.
    - Refresh patches.

  [ Didier Raboud ]
  * Add a Depends on x11-sxerver-utils to make sure xhost is available.

  [ Fathi Boudra ]
  * debian/rules: Fix typo in Ubuntu-specific upstart file installation.

  [ Bernd Wachter ]
  * Add patch to "Close logfile before exec(), replace superfluous
    system()" from an upstream merge request.

 -- Didier Raboud <odyx@debian.org>  Mon, 30 May 2011 17:10:54 +0200

uxlaunch (0.59.1-1) unstable; urgency=low

  * New 0.59.1 (MeeGo 1.2) upstream release.
    - Refresh patches.

 -- Didier Raboud <odyx@debian.org>  Mon, 23 May 2011 00:20:04 +0200

uxlaunch (0.59-4) unstable; urgency=low

  * Recommend xserver-xorg instead of xserver-xorg-core, thanks to
    Julien Cristau.

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Apr 2011 18:00:36 +0200

uxlaunch (0.59-3) unstable; urgency=low

  * Add x11-common to Depends and xserver-xorg-core to Recommends; this
    fixes the minimal chroot installation error pointed out by piuparts.

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Apr 2011 15:30:30 +0200

uxlaunch (0.59-2) unstable; urgency=low

  [ Didier Raboud ]
  * Limit architecture to linux-any as the current code is not ported.

  [ Nobuhiro Iwamatsu ]
  * Add ioprio_set_support.patch to build on all Linux architectures
    (Closes: #624272).

 -- Didier Raboud <odyx@debian.org>  Wed, 27 Apr 2011 11:22:03 +0200

uxlaunch (0.59-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #622737)

  * Start from Ubuntu packaging (thanks!), with those changes:
    - Set myself as Uploader and put under pkg-meego umbrella.
    - Refresh patches for 0.59.
    - Add a patch to fix the minor manpage issues.
    - Bump Standards-Version to 3.9.2 without changes needed.
    - Ship uxlaunch virtual facility for insserv.
    - Add a lintian override for not using po-debconf.
    - Document packaging licensing.
    - Add a Debian init script, only install the upstart job in distributions
      derived from Ubuntu.
    - Write the X pid to disk, allow init script to kill (root) X after
      killing (user) uxlaunch.
    - Add a debian/watch.
    - Enhance description with text from the manpage.
    - Add Vcs-* fields.

 -- Didier Raboud <odyx@debian.org>  Thu, 14 Apr 2011 15:04:40 +0200
