=== debian/control ===
Source: uxlaunch
Build-Depends: debhelper (>= 7.0.50~),
 libck-connector-dev,
 libdbus-1-dev,
 libglib2.0-dev,
 libpam0g-dev,
 libxau-dev
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian MeeGo packaging Team <pkg-meego-maintainers@lists.alioth.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Standards-Version: 3.9.2
Homepage: http://meego.gitorious.org/meego-os-base/uxlaunch
Vcs-Git: git://git.debian.org/pkg-meego/uxlaunch.git
Vcs-Browser: http://git.debian.org/?p=pkg-meego/uxlaunch.git

Package: uxlaunch
Depends: ${shlibs:Depends}, ${misc:Depends}, x11-common, x11-xserver-utils
Recommends: xserver-xorg
Architecture: linux-any
Description: quick X and user desktop starter
 Uxlaunch is a generic X session launch utility, designed to
 quickly start X and a user desktop.
 .
 uxlaunch is a program that initiates the X server and desktop
 environment. It starts the main component of the desktop up
 as soon as the X server is ready and relies on autostart .desktop
 files for other applications to be started. uxlaunch was designed
 to start the Moblin desktop but can launch GNOME, Xfce and other
 desktop sessions as well.
