=== debian/rules ===
#!/usr/bin/make -f

derives_from_Ubuntu := $(shell dpkg-vendor --derives-from Ubuntu && echo "yes" || echo "no")

export CONF_DIR=/etc/uxlaunch/
export XPID_FILE=/var/run/uxlaunch.X.pid

%:
	dh $@

override_dh_installinit:
ifeq ($(derives_from_Ubuntu),yes)
	cd debian/; ln -s ubuntu/uxlaunch.upstart .
endif
	dh_installinit --no-start
ifeq ($(derives_from_Ubuntu),yes)
	cd debian/; rm uxlaunch.upstart
endif
	install -p -D -m644 debian/uxlaunch.insserv debian/uxlaunch/etc/insserv.conf.d/uxlaunch
